EventBufferEvent::setTimeouts
EventBufferEvent::sslError
EventBufferEvent
PHP Manual

# EventBufferEvent::setWatermark

(PECL event >= 1.2.6-beta)

EventBufferEvent::setWatermark — Adjusts read and/or write watermarks

### Description

public void EventBufferEvent::setWatermark ( int `$events` , int `$lowmark` , int `$highmark` )

Adjusts the read watermarks, the write watermarks , or both, of a single buffer event.

A buffer event watermark is an edge, a value specifying number of bytes to be read or written before callback is invoked. By default every read/write event triggers a callback invokation. See » Fast portable non-blocking network programming with Libevent: Callbacks and watermarks

### Parameters

`events`

  Bitmask of `Event::READ` , `Event::WRITE` , or both.

`lowmark`

  Minimum watermark value.

`highmark`

  Maximum watermark value. `0` means "unlimited".

### Return Values

No value is returned.

EventBufferEvent::setTimeouts
EventBufferEvent::sslError
EventBufferEvent
PHP Manual